<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class AoFouRetenu extends AbsMail
{

    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Consultation @1@, objet @2@ de la société @3@ : votre offre a été retenue.'),
            $this->listeData['NAO'],
            $this->listeData['OBJETAO'],
            $this->listeData['RS_SOC']
        );
    }

    public function getMessage() : string
    {
        return implode("\r\n", [
            $this->trad->t('Bonjour'),
            '',
            Trad::strBuild(
                $this->trad->t('Nous avons le plaisir de vous informer que votre offre @1@ @2@ a été retenue.'),
                $this->listeData['RF_TYPE'],
                $this->listeData['OBJETAO']
            ),
            '',
            $this->trad->t('Nous vous remercions de l’intérêt que vous portez à notre projet et de la qualité de votre proposition. Nous sommes impatients de collaborer avec vous sur ce projet.'),
            '',
            $this->trad->t('Veuillez trouver ci-joint le contrat de prestation que nous vous invitons à signer et à nous retourner dans les plus brefs délais.'),
            '',
            $this->trad->t('N’hésitez pas à nous contacter si vous avez des questions ou si vous avez besoin de plus d’informations.'),
            '',
            $this->trad->t('Cordialement,'),
            $this->listeData['NOM_ACH'],
        ]);
    }
}
